import { LitElement, CSSResultArray, TemplateResult } from 'lit';
/**
 * A custom error message component that displays error information to the user.
 * @customElement nile-error-message
 */
export declare class NileErrorMessage extends LitElement {
    static get styles(): CSSResultArray;
    errorMessage: string;
    errorResponse: string;
    errorResponseLong: string;
    isExpanded: boolean;
    maxWidth: string;
    maxHeight: string;
    maxDialogHeight: string;
    private readonly MAX_LENGTH;
    /**
     * Get a truncated version of the errorResponse if it's too long.
     * @returns {string}
     */
    getTruncatedResponse(): string;
    updated(changedProperties: Map<string, any>): void;
    /**
     * Toggle the expanded state of the error response.
     */
    toggleExpanded(): void;
    render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        'nile-error-message': NileErrorMessage;
    }
}
